Bug 1210829 (CVE-2015-0469) - CVE-2015-0469 ICU: layout engine glyphStorage off-by-one (OpenJDK 2D, 8067699)
Summary: CVE-2015-0469 ICU: layout engine glyphStorage off-by-one (OpenJDK 2D, 8067699)
Keywords:
Status: NEW
Alias: CVE-2015-0469
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1214923 1214924 1214926
Blocks: 1209063
TreeView+ depends on / blocked
 
Reported: 2015-04-10 16:09 UTC by Tomas Hoger
Modified: 2019-09-29 13:31 UTC (History)
5 users (show)

Fixed In Version: IcedTea6 1.13.7, IcedTea7 2.5.5
Doc Type: Bug Fix
Doc Text:
An off-by-one flaw, leading to a buffer overflow, was found in the font parsing code in the 2D component in OpenJDK. A specially crafted font file could possibly cause the Java Virtual Machine to execute arbitrary code, allowing an untrusted Java application or applet to bypass Java sandbox restrictions.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0806 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2015-04-15 20:54:17 UTC
Red Hat Product Errata RHSA-2015:0807 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2015-04-15 00:18:32 UTC
Red Hat Product Errata RHSA-2015:0808 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2015-04-15 20:44:55 UTC
Red Hat Product Errata RHSA-2015:0809 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2015-04-15 19:15:09 UTC
Red Hat Product Errata RHSA-2015:0854 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-15 15:34:03 UTC
Red Hat Product Errata RHSA-2015:0857 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 15:35:29 UTC
Red Hat Product Errata RHSA-2015:0858 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 15:32:13 UTC
Red Hat Product Errata RHSA-2015:1006 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2015-05-13 17:34:08 UTC
Red Hat Product Errata RHSA-2015:1007 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2015-05-13 17:33:04 UTC
Red Hat Product Errata RHSA-2015:1020 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2015-05-20 23:05:51 UTC
Red Hat Product Errata RHSA-2015:1021 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2015-05-20 22:36:22 UTC
Red Hat Product Errata RHSA-2015:1091 normal SHIPPED_LIVE Low: Red Hat Satellite IBM Java Runtime security update 2015-06-11 17:21:29 UTC

Description Tomas Hoger 2015-04-10 16:09:06 UTC
An off-by-one error, leading to heap-based buffer overflow in the ICU Layout Engine ligature substitution processor.  A check which was added as part of fix for CVE-2013-1569 (bug 952711) / CVE-2013-2383 (bug 952708) / CVE-2013-2384 (bug 952709) was found to contain an incorrect array boundary check.  A specially crafted file could cause an application using ICU to parse untrusted font files to crash or, possibly, execute arbitrary code.

The original fix was added to OpenJDK and ICU via the following commits:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/6784c9903db7

http://bugs.icu-project.org/trac/changeset/33535
http://bugs.icu-project.org/trac/ticket/10107

ICU code is embedded the 2D component in OpenJDK and used by FontManager.  An untrusted Java application or applet could use this flaw to bypass certain Java sandbox restrictions.

Comment 2 Tomas Hoger 2015-04-14 19:42:44 UTC
Public now via Oracle Critical Patch Update - April 2015.  Fixed in Oracle Java SE 6u95, 7u79, and 8u45.

External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2015-2365600.html#AppendixJAVA

Comment 3 errata-xmlrpc 2015-04-14 20:18:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:0807 https://rhn.redhat.com/errata/RHSA-2015-0807.html

Comment 4 errata-xmlrpc 2015-04-15 15:16:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:0809 https://rhn.redhat.com/errata/RHSA-2015-0809.html

Comment 5 errata-xmlrpc 2015-04-15 16:58:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:0808 https://rhn.redhat.com/errata/RHSA-2015-0808.html

Comment 6 errata-xmlrpc 2015-04-15 16:58:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:0806 https://rhn.redhat.com/errata/RHSA-2015-0806.html

Comment 8 errata-xmlrpc 2015-04-17 10:29:18 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:0854 https://rhn.redhat.com/errata/RHSA-2015-0854.html

Comment 9 errata-xmlrpc 2015-04-20 14:08:45 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:0857 https://rhn.redhat.com/errata/RHSA-2015-0857.html

Comment 10 errata-xmlrpc 2015-04-20 14:28:31 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:0858 https://rhn.redhat.com/errata/RHSA-2015-0858.html

Comment 11 Tomas Hoger 2015-04-23 20:53:23 UTC
Created icu tracking bugs for this issue:

Affects: fedora-all [bug 1214923]

Comment 12 Tomas Hoger 2015-04-23 20:54:04 UTC
Created mingw-icu tracking bugs for this issue:

Affects: fedora-all [bug 1214924]
Affects: epel-7 [bug 1214926]

Comment 13 errata-xmlrpc 2015-05-13 13:33:33 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:1007 https://rhn.redhat.com/errata/RHSA-2015-1007.html

Comment 14 errata-xmlrpc 2015-05-13 13:35:32 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:1006 https://rhn.redhat.com/errata/RHSA-2015-1006.html

Comment 15 errata-xmlrpc 2015-05-20 18:36:45 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:1021 https://rhn.redhat.com/errata/RHSA-2015-1021.html

Comment 16 errata-xmlrpc 2015-05-20 19:06:18 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:1020 https://rhn.redhat.com/errata/RHSA-2015-1020.html

Comment 17 errata-xmlrpc 2015-06-11 13:21:55 UTC
This issue has been addressed in the following products:

  Red Hat Satellite Server v 5.6
  Red Hat Satellite Server v 5.7

Via RHSA-2015:1091 https://rhn.redhat.com/errata/RHSA-2015-1091.html


Note You need to log in before you can comment on or make changes to this bug.